# MARM.PM
#
# Copyright (c) 1997-1999 Symbian Ltd.  All rights reserved.
#


# Makmake-module for creating MAKMAKE MARM Command-line makefiles

package Marm;
require Exporter;
@ISA=qw(Exporter);
@EXPORT=qw(
	PMGetDefFilePath
	PMGetBldList
	PMGetDefBaseExts
	PMGetPlatMacroList
	PMGetBldMacroList
);


my $COMMAND_LINE_PLATFORM;

{	# Switch to makmake.pl context in this block to load extra modules
	package main;
	use Cl_arm;
}

sub PMGetDefFilePath {
	"\\".&main::Prj."\\BMARM\\";
}

sub PMGetBldList {
	('REL','DEB','UREL','UDEB');
}

sub PMGetDefBaseExts {
	('UDEB','U','UREL','U');
}

sub PMGetPlatMacroList {
	('__GCC32__','__EPOC32__','__MARM__');
}

sub PMGetBldMacroList {

	$_=&main::Bld;

	{
		if (/^REL$/o) {
			return('NDEBUG');
		}
		if (/^DEB$/o) {
			return('_DEBUG');
		}
		if (/^UREL$/o) {
			return('NDEBUG','_UNICODE');
		}
		if (/^UDEB$/o) {
			return('_DEBUG','_UNICODE');
		}
	}
}

1;
